import { Component, OnInit } from '@angular/core';
import { ThemeService } from 'src/app/modules/shared/services/theme/theme.service';

@Component({
    selector: 'app-theme-switcher',
    templateUrl: './theme-switcher.component.html',
    styleUrls: ['./theme-switcher.component.scss']
})
export class ThemeSwitcherComponent implements OnInit {

    isDark = false;
    darkTheme = 'dark';
    lightTheme = 'light';
    theme = 'light';

    constructor(
        private themeService: ThemeService,
    ) {
        this.theme = themeService.getTheme();
        themeService.themeChange.subscribe(theme => {
            this.theme = theme;
        });
    }

    ngOnInit(): void {
    }

    toggleTheme(): void {
        this.themeService.setTheme(this.theme === this.darkTheme ? this.lightTheme : this.darkTheme);
        this.isDark = this.theme === this.darkTheme;
    }
}
